export default class INTPinfo {
    private static code?;
    private static data?;
    private static setCode;
    private static setData;
    private static handleRequest;
    private static makeDocName;
    private static highlightText;
    private static makeTableContent;
    private static makeHtml;
    private static emphasizeTextInQuotes;
    static buttonHtml(code: number): string;
    static htmlWrap(code: number, content: string | (() => any)): string;
    static onClick(e: any): void;
    static onMouseEnter(): void;
    static onMouseLeave(): void;
    private static makeTitle;
    private static onSearch;
    private static init;
    static open(code: number): void;
    private static makeError;
    private static makeEmptyMsg;
    private static makeWarning;
}
